Package picard.arrays.illumina

# Enum Class Build37ExtendedIlluminaManifestRecord.Flag

java.lang.Object
java.lang.Enum<Build37ExtendedIlluminaManifestRecord.Flag>
picard.arrays.illumina.Build37ExtendedIlluminaManifestRecord.Flag

All Implemented Interfaces:
  `Serializable`, `Comparable<Build37ExtendedIlluminaManifestRecord.Flag>`, `Constable`

Enclosing class:
  Build37ExtendedIlluminaManifestRecord

protected static enum Build37ExtendedIlluminaManifestRecord.Flag extends Enum<Build37ExtendedIlluminaManifestRecord.Flag>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DUPE`
The record passes validation but is a duplicate (another assay at the same locus with the same alleles)
`ILLUMINA_FLAGGED`
Flagged by Illumina as a bad assay
`INDEL_CONFLICT`
Both insertion and deletion sequence found in reference.
`INDEL_EXTENSION_ERROR`
Deprecated.
- but used in existing extended manifest files.
`INDEL_NOT_FOUND`
Neither insertion nor deletion sequence found in reference.
`INDEL_SEQ_MISMATCH`
Deprecated.
- but used in existing extended manifest files.
`LIFTOVER_FAILED`
`MISSING_ALLELE_B_PROBESEQ`
Manifest contained no allele B probe sequence
`PASS`
The record in the manifest passes validation and will be used in VCF generation
`PROBE_SEQUENCE_MISMATCH`
Probe sequence not found in reference.
`PROBE_SEQUENCE_STRAND_INVALID`
Deprecated.
- but used in existing extended manifest files.
`SEQUENCE_MISMATCH`
Deprecated.
- but used in existing extended manifest files.
`SOURCE_SEQUENCE_INVALID`
Source sequence is invalid (contains invalid character).
`SOURCE_SEQUENCE_MISMATCH`
Deprecated.
- but used in existing extended manifest files.
`SOURCE_SEQUENCE_STRAND_INVALID`
Deprecated.
- but used in existing extended manifest files.
`UNSUPPORTED_GENOME_BUILD`

## Method Summary

Modifier and Type
Method
Description
`static Build37ExtendedIlluminaManifestRecord.Flag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Build37ExtendedIlluminaManifestRecord.Flag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PASS

public static final Build37ExtendedIlluminaManifestRecord.Flag PASS
The record in the manifest passes validation and will be used in VCF generation

### DUPE

public static final Build37ExtendedIlluminaManifestRecord.Flag DUPE
The record passes validation but is a duplicate (another assay at the same locus with the same alleles)

### ILLUMINA_FLAGGED

public static final Build37ExtendedIlluminaManifestRecord.Flag ILLUMINA_FLAGGED
Flagged by Illumina as a bad assay

### LIFTOVER_FAILED

public static final Build37ExtendedIlluminaManifestRecord.Flag LIFTOVER_FAILED

### UNSUPPORTED_GENOME_BUILD

public static final Build37ExtendedIlluminaManifestRecord.Flag UNSUPPORTED_GENOME_BUILD

### PROBE_SEQUENCE_MISMATCH

public static final Build37ExtendedIlluminaManifestRecord.Flag PROBE_SEQUENCE_MISMATCH
Probe sequence not found in reference.

### MISSING_ALLELE_B_PROBESEQ

public static final Build37ExtendedIlluminaManifestRecord.Flag MISSING_ALLELE_B_PROBESEQ
Manifest contained no allele B probe sequence

### SOURCE_SEQUENCE_INVALID

public static final Build37ExtendedIlluminaManifestRecord.Flag SOURCE_SEQUENCE_INVALID
Source sequence is invalid (contains invalid character).

### INDEL_NOT_FOUND

public static final Build37ExtendedIlluminaManifestRecord.Flag INDEL_NOT_FOUND
Neither insertion nor deletion sequence found in reference.

### INDEL_CONFLICT

public static final Build37ExtendedIlluminaManifestRecord.Flag INDEL_CONFLICT
Both insertion and deletion sequence found in reference.

### PROBE_SEQUENCE_STRAND_INVALID

@Deprecated public static final Build37ExtendedIlluminaManifestRecord.Flag PROBE_SEQUENCE_STRAND_INVALID
Deprecated.
- but used in existing extended manifest files.

### SOURCE_SEQUENCE_MISMATCH

@Deprecated public static final Build37ExtendedIlluminaManifestRecord.Flag SOURCE_SEQUENCE_MISMATCH
Deprecated.
- but used in existing extended manifest files.

### SOURCE_SEQUENCE_STRAND_INVALID

@Deprecated public static final Build37ExtendedIlluminaManifestRecord.Flag SOURCE_SEQUENCE_STRAND_INVALID
Deprecated.
- but used in existing extended manifest files.

### SEQUENCE_MISMATCH

@Deprecated public static final Build37ExtendedIlluminaManifestRecord.Flag SEQUENCE_MISMATCH
Deprecated.
- but used in existing extended manifest files.

### INDEL_SEQ_MISMATCH

@Deprecated public static final Build37ExtendedIlluminaManifestRecord.Flag INDEL_SEQ_MISMATCH
Deprecated.
- but used in existing extended manifest files.

### INDEL_EXTENSION_ERROR

@Deprecated public static final Build37ExtendedIlluminaManifestRecord.Flag INDEL_EXTENSION_ERROR
Deprecated.
- but used in existing extended manifest files.

## Method Details

### values

public static Build37ExtendedIlluminaManifestRecord.Flag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Build37ExtendedIlluminaManifestRecord.Flag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null